jmeter-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From pmoua...@apache.org
Subject svn commit: r1823395 - /jmeter/trunk/xdocs/usermanual/get-started.xml
Date Tue, 06 Feb 2018 21:48:59 GMT
Author: pmouawad
Date: Tue Feb  6 21:48:59 2018
New Revision: 1823395

URL: http://svn.apache.org/viewvc?rev=1823395&view=rev
Log:
Update documentation regarding Java versions.
Mention JDK is required for recording HTTPS

Modified:
    jmeter/trunk/xdocs/usermanual/get-started.xml

Modified: jmeter/trunk/xdocs/usermanual/get-started.xml
URL: http://svn.apache.org/viewvc/jmeter/trunk/xdocs/usermanual/get-started.xml?rev=1823395&r1=1823394&r2=1823395&view=diff
==============================================================================
--- jmeter/trunk/xdocs/usermanual/get-started.xml (original)
+++ jmeter/trunk/xdocs/usermanual/get-started.xml Tue Feb  6 21:48:59 2018
@@ -114,11 +114,12 @@ over your Test Plans.</p>
 <p>JMeter requires that your computing environment meets some minimum requirements.</p>
 
 <subsection name="&sect-num;.1.1 Java Version" anchor="java_versions">
-<note>JMeter requires a fully compliant JVM 8, we advise that you install latest minor
version of those major versions.
-Java 9 is not tested completely as of JMeter 3.2.
+<note>JMeter 4.0 is compatible with Java 8 or Java 9.
+We highly advise you to install latest minor version of those major versions for security
and performance reasons. 
 </note>
 <p>Because JMeter uses only standard Java APIs, please do not file bug reports if your
JRE fails to run
 JMeter because of JRE implementation issues.</p>
+<note>Although you can use a JRE, it is better to install a JDK as for recording of
HTTPS, JMeter needs <code>keytool</code> utility from JDK</note>
 </subsection>
 
 <subsection name="&sect-num;.1.2 Operating Systems" anchor="os">



Mime
View raw message